import { useState } from "preact/hooks";
import FormNewsEvent from "../container/FormNewsEvent";
import { PopoverCustomAnimation } from "../../../core/presentation/component/CustomPopover";
import CustomDialog from "../../../core/presentation/component/CustomDialog";
import MyCalendar from "./MyCalendar";

function ButtonMore() {

  const [showNewsForm, setShowNewsForm] = useState(false);
  const [isOpenDialog, setIsOpenDialog] = useState(false);

  const handleOpenDialog = () => setIsOpenDialog((value) => !value);

  return (
    <>
      <div className="md:hidden sm:flex absolute bottom-7 right-4">
        <PopoverCustomAnimation
          placement={"top-start"}
          popoverHandler={
            <button
              onClick={(e) => e.stopPropagation()}
              className="bg-lime-500 hover:bg-lime-600 text-white w-14 h-14 rounded-full py-2 px-4 focus:outline-none"
            >
              <i className="fa fa-ellipsis cursor-pointer text-3xl"></i>
            </button>
          }
          popoverContent={
            <div className="flex flex-col space-y-4">
              <button
                onClick={(e) => {
                  setShowNewsForm(true);
                  e.stopPropagation();
                }}
                className="flex flex-row space-x-4 text-gray-100"
              >
                <div className="rounded-md flex items-center">
                  <i className="fa fa-plus"></i>
                </div>
                <span className="text-xs"> Créer un évènement </span>
              </button>
              <button  onClick={handleOpenDialog} className="flex flex-row space-x-4 text-gray-100">
                <div className="rounded-md flex items-center">
                  <i className="fa fa-calendar"></i>
                </div>
                <span className="text-xs"> Calendrier </span>
              </button>
            </div>
          }
        />
      </div>

      {/* Create new event form */}
      <FormNewsEvent
        title={"Ajouter un nouvel evenement"}
        showNewsForm={showNewsForm}
        close={() => setShowNewsForm(false)}
      />

       {/* View calendar event */}
       <CustomDialog size={"xxl"} isOpenDialog={isOpenDialog} setOpenAndCloseDialog={handleOpenDialog}>
        <i className="fa fa-close cursor-pointer text-2xl text-gray-300" onClick={handleOpenDialog}></i>
        
        <MyCalendar/>      

      </CustomDialog>     
    </>
  );
}

export default ButtonMore;
