import React from "react";
import FullCalendar from "@fullcalendar/react";
import dayGridPlugin from "@fullcalendar/daygrid";
        
const CalendarComponent = ({ events, eventContent, eventClick }) => {

  return (
    <div className="my-calendar">
     <style>
        {`
          .my-calendar .fc-toolbar .fc-toolbar-title {
            color: white;
            font-size: 1.5rem;
            font-weight: bold; 
          }
        `}
      </style>
      <FullCalendar
        plugins={[dayGridPlugin]}
        initialView="dayGridMonth"
        eventTextColor="white"
        dayCellClassNames={"text-sm text-white"}
        dayHeaderClassNames={"text-xl text-white"}
        events={events}
        eventContent={eventContent}
        height={550}
        eventClick={eventClick}
        locale={"fr"}
        dayCellContent={(arg) => {
          const dayNumber = arg.dayNumberText;
          return (
            <div className="w-auto h-auto p-2 bg-gray-600 flex items-center mr-1 font-medium">
              <span className="text-white">{dayNumber}</span>
            </div>
          );
        }}
      />
    </div>
  );
};

export default CalendarComponent;
