import PropTypes from 'prop-types';

function CategorieCard({ eventType, isSelected, onClick }) {
    return eventType.value == "others" 
      ?  <div onClick={onClick}  className={`w-32 h-28 flex items-center justify-center bg-gray-500 dark:bg-gray-800 rounded-lg cursor-pointer  ${isSelected ? " p-1 border-2 border-lime-600" : ""}`}>
            <span className="text-xs text-gray-50 dark:text-gray-200">
                {eventType.label}
            </span>
         </div>
      : ( 
        <div onClick={onClick} className={`relative w-32 h-28 dark:bg-gray-800 rounded-lg overflow-hidden flex flex-col justify-center items-center cursor-pointer  ${isSelected ? " p-1 border-2 border-lime-600" : ""}`}>
            <img src={eventType.image} className="w-full h-full object-cover rounded-lg" alt={eventType.label} />
            <div className={`absolute text-gray-50 dark:text-gray-200 text-xs bottom-0 w-full h-8 text-center bg-gray-800 bg-opacity-60 dark:bg-gray-800 dark:bg-opacity-75 rounded-bl-lg rounded-br-lg ${eventType.value === "crowdfunding" ? "pt-0" : "pt-2"}`}>
            {eventType.label}
            </div>
        </div>
     );
}

CategorieCard.propTypes = {
    eventType: PropTypes.object,
    isSelected: PropTypes.bool,
    onClick: PropTypes.func
};


export default CategorieCard;