import React from 'react'
import Modal from '../../../core/presentation/component/Modal'
import Textarea from '../../../core/presentation/component/input/Textarea'
import PropTypes from 'prop-types';

function DeleteEventsConfime({ show, close, title, valueTextAreaCallBack, onSubmit, isLoading }) {

    return (
        <Modal show={show} title={title} close={close} onSubmit={onSubmit} isLoading={isLoading}  onSubmitColor={"danger"} onSubmitText={"Supprimer"}>
            <p className='dark:text-gray-300 mb-5'>
                Etes vous sur(e) de vouloir supprimer cet élément ?
                L'élément sera supprimé : il ne sera plus référencé dans les événements/projets qu'il porte. Mais ces derniers ne seront pas supprimés.
                <span className='text-red-600'> Attention :</span> Cette action ne peut pas être annulée que par un administrateur !
            </p>
            <Textarea label={"Vous pouvez ajouter ci dessous pourquoi vous souhaitez supprimer cet élément :"} ctrl={false} rows={2} value={valueTextAreaCallBack} placeholder={"Laisser une raison... ou pas (optionnel)"}/>
        </Modal>
    )
}

DeleteEventsConfime.propTypes = {
    title: PropTypes.string.isRequired,
    show: PropTypes.bool,
    isLoading: PropTypes.bool,
    close: PropTypes.func,
    valueTextAreaCallBack: PropTypes.func,
    onSubmit: PropTypes.func,
}

export default DeleteEventsConfime