
import { useMemo } from 'preact/hooks';
import NoEvents from "./NoEvents";
import PropTypes from 'prop-types';

function EventListRecurency({ events, eventChild }) {
  
  const eventsRecurency = useMemo(() => {
    return events.filter((event) => event.recurrency);
  }, [events]);

  return eventsRecurency.length > 0 ? (
    <>
      {eventsRecurency.map((eventElement, index) => {
        return eventChild(eventElement, index);
      })}
    </>
  ) : (
    <NoEvents />
  );
}

EventListRecurency.propTypes = {
  events: PropTypes.array.isRequired,
  eventChild: PropTypes.elementType.isRequired
}

export default EventListRecurency;
