import NoEvents from "./NoEvents";
import PropTypes from 'prop-types';

function EventSearchList({ events, eventChild }) {

    return events.length > 0 ? (
        <>
          {events.map((eventElement, index) => {
            return eventChild(eventElement, index);
          })}
        </>
      ) : (
        <NoEvents />
      );
    }

    EventSearchList.propTypes = {
        events: PropTypes.array.isRequired,
        eventChild: PropTypes.elementType.isRequired
    }

export default EventSearchList;