function SearchForm({ onSearch }) {
  return (
    <div className="relative w-full md:w-1/2">
      <input
        type="search"
        id="location-search"
        onInput={onSearch}
        className="block p-3 w-full z-20 text-sm text-gray-600 bg-white rounded-lg border-l-2 border border-gray-300 dark:bg-gray-900 dark:border-l-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-gray-200 focus:outline-none dark:rounded-l-lg"
        placeholder="Que recherchez-vous ?"
      />

      <div className="absolute top-0 right-0 h-full p-3 text-sm font-medium text-gray-200 bg-lime-700 rounded-r-lg focus:ring-4 focus:outline-none dark:bg-lime-600">
        <i className="fa fa-search" aria-hidden="true"></i>
        <span className="sr-only"> Que recherchez-vous ? </span>
      </div>
    </div>
  );
}

export default SearchForm;
