import React from 'react'
import Modal from '../../../core/presentation/component/Modal'
import Textarea from '../../../core/presentation/component/input/Textarea';
import CardEvent from './CardEvent';
import { BASE_URL } from '../../../core/application/constant/common';
import { useEffect, useState } from 'preact/hooks';
import PropTypes from 'prop-types';

function ShareEventsConfime({ show, close, title, isLoading, dataEvent, shareBtn, commentValue, margin }) {
    const [url, seturl] = useState("")
    const closeFunction = () => {
        close()
    }

    useEffect(() => {
        Object.entries(dataEvent).length === 0 ? seturl("") : seturl(BASE_URL + "/event/" + dataEvent._id.$id)
    }, [dataEvent])

    return (
        <Modal show={show} title={title} close={closeFunction} isLoading={isLoading} onSubmit={() => shareBtn(dataEvent._id.$id)} onSubmitText={"Partager"} style={"h-[calc(100vh-200px)] overflow-y-auto overflow-x-hidden"}>
            <label
                className={`block text-sm font-medium text-gray-900 dark:text-gray-300 mb-2`}
            >
                Copier le lien :
            </label>
            <div class="relative mb-3">
                <input
                    value={url}
                    type="text"
                    class="block w-full p-3 pl-2 text-sm text-gray-900 dark:text-gray-300 border border-gray-300 dark:bg-gray-800 dark:border-gray-600 bg-gray-50 focus:ring-blue-500 focus:border-blue-500 rounded-lg dark:placeholder-gray-400 dark:focus:ring-blue-500 dark:focus:border-blue-500 outline-none"
                />
                <button class="text-gray-200 absolute right-2 bottom-2 bg-blue-700 hover:bg-blue-800 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-3 py-1.5 dark:bg-blue-500 dark:hover:bg-blue-600 dark:focus:ring-blue-600">
                    <i class="fa-solid fa-copy"></i>
                </button>
            </div>
            <Textarea ctrl={false} rows={2} placeholder={"Exprimer-vous..."} value={commentValue} />
            <br />
            <CardEvent event={dataEvent} mode={"getOnly"} margin={margin}/>
        </Modal>
    )
}

ShareEventsConfime.propTypes = {
    title: PropTypes.string, 
    show: PropTypes.bool, 
    isLoading: PropTypes.bool,
    close: PropTypes.func, 
    dataEvent: PropTypes.object, 
    shareBtn: PropTypes.func,
    commentValue: PropTypes.func 
};

export default ShareEventsConfime