import { Badge } from "@material-tailwind/react";
import { useState, useMemo } from "preact/hooks";
import PropTypes from 'prop-types';

function FilterEvent({ onFilter, upcomingEventCount }) {
  
  const [temporalStatus, setTemporalStatus] = useState({ label: "Actuel", value: "current" });

  const temporalStatusList = [
    {
      label: "Actuel",
      value: "current",
    },
    {
      label: "À venir",
      value: "upcoming",
    }
  ];

  const temporalStatusItem = useMemo(() => {
    return temporalStatusList.map((ts) => (
      <Badge
        className="animate-bounce"
        invisible={ts.value === "upcoming" && upcomingEventCount > 0 ? false : true}
      >
        <div
          onClick={() => {
            setTemporalStatus(ts);
            onFilter(ts);
          }}
          className={`w-auto h-auto rounded-lg text-sm text-center flex items-center justify-center cursor-pointer transition-all duration-300 mr-1 ${
            temporalStatus.value === ts.value ? "dark:bg-gray-700 bg-gray-50" : "dark:bg-gray-800"
          }`}
        >
          <span className="p-4 text-xs"> {ts.label} </span>
        </div>
      </Badge>
    ));
  }, [temporalStatusList, temporalStatus.value, upcomingEventCount, onFilter]);

  return (
    <div className="w-auto flex flex-row h-10 bg-gray-300 dark:bg-gray-800 p-1 rounded-xl">
      {temporalStatusItem}
    </div>
  );
}

FilterEvent.propTypes = {
  onFilter: PropTypes.func, 
  upcomingEventCount: PropTypes.number
};

export default FilterEvent;
