import { useEffect, useState } from 'preact/hooks';
import React from 'react'

function TypeEvents({ valueCallBack, ctrl, defaultValue, msgErreur }) {
    const [type, setType] = useState("");

    useEffect(() => {
        setType(defaultValue == undefined ? "" : defaultValue)
    }, [defaultValue])

    const handleChange = (e) => {
        setType(e.target.value);
        valueCallBack(e.target.value);
    };


    return (
        <>
            <label for="typeEvents" className={`block text-sm font-medium ${ctrl === false ? `text-gray-900 dark:text-gray-300` : `text-red-700 dark:text-red-500`
                }`}>Type d'événement *</label>
            <select
                value={type}
                onChange={handleChange}
                id="typeEvents"
                className={`${ctrl === false
                    ? 'block w-full p-3 pl-2 mt-2 text-sm text-gray-900 dark:text-gray-300 border border-gray-300 dark:bg-gray-800 dark:border-gray-600 bg-gray-50 focus:ring-blue-500 focus:border-blue-500 rounded-lg dark:placeholder-gray-400 dark:focus:ring-blue-500 dark:focus:border-blue-500 outline-none'
                    : 'w-full p-3 pl-2 mt-2 bg-red-50 border border-red-500 text-red-900 placeholder-red-700 text-sm rounded-lg focus:ring-red-500 dark:bg-gray-700 focus:border-red-500 block dark:text-red-500 dark:placeholder-red-500 dark:border-red-500 outline-none'
                    }`}
            >
                <option style="font-weight:bold" value="" selected="">Choisir</option>
                <option value="workshop">Atelier</option>
                <option value="others">Autres</option>
                <option value="competition">Compétition</option>
                <option value="concert">Concert</option>
                <option value="contest">Concours</option>
                <option value="conference">Conférence</option>
                <option value="debate">Débat</option>
                <option value="exhibition">Exposition</option>
                <option value="festival">Festival</option>
                <option value="crowdfunding">Financement Participatif</option>
                <option value="fair">Foire</option>
                <option value="course">Formation</option>
                <option value="protest">Manifestation</option>
                <option value="market">Marché</option>
                <option value="film">Projection</option>
                <option value="getTogether">Rencontre</option>
                <option value="meeting">Réunion</option>
                <option value="spectacle">Spectacle</option>
                <option value="internship">Stage</option>
                <option value="stand">Stand</option>
            </select>
            {ctrl &&
                <p class="mt-2 text-sm text-red-600 dark:text-red-500"> {msgErreur == undefined ? "Ce champ est obligatoire" : msgErreur}</p>
            }
        </>
    )
}

export default TypeEvents