import React, { useState } from 'react';

function YesOrNo({ label, valueCallBack }) {
    const [publicValue, setPublicValue] = useState(true);

    const togglePublic = (value) => {
        setPublicValue(value);
        valueCallBack(value)
    }

    const buttonStyles = {
        base: "text-gray-200 bg-gray-700 hover:bg-gray-600 focus:outline-none focus:ring-gray-300 dark:focus:ring-gray-800 font-medium rounded text-sm items-center px-5 py-2.5",
        yes: "text-gray-200 bg-green-700 hover:bg-green-600 focus:outline-none focus:ring-green-300 dark:focus:ring-green-800 font-medium rounded text-sm items-center px-5 py-2.5",
        no: "text-gray-200 bg-red-700 hover:bg-red-600 focus:outline-none focus:ring-red-300 dark:focus:ring-red-800 font-medium rounded text-sm items-center px-5 py-2.5",
    };

    const yesButtonClass = `w-1/2 mx-1 ${publicValue ? buttonStyles.yes : buttonStyles.base}`;
    const noButtonClass = `w-1/2 mx-1 ${!publicValue ? buttonStyles.no : buttonStyles.base}`;

    return (
        <div className="w-full">
            <label for="typeEvents" className="block text-sm font-medium text-gray-900 dark:text-gray-300 mt-4 mb-2">{label}</label>
            <div className="relative inline-flex items-center w-full ">
                <button onClick={() => togglePublic(true)} type="button" className={yesButtonClass}>
                    Oui
                </button>
                <button onClick={() => togglePublic(false)} type="button" className={noButtonClass}>
                    Non
                </button>
            </div>
        </div>
    );
}

export default YesOrNo;
