
import StateContext from "../../../core/context/state-context";
import AppLayout from "../../../core/presentation/container/AppLayout";
import { configureStates } from "../../application/state/index"
import ButtonMore from "../component/ButtonMore";
import ListAgenda from "./ListAgenda";
import MenuRight from "./MenuRight";

export function AgendaApp() {
    return (
        <>
            <StateContext.Provider value={configureStates()}>
                <AppLayout>
                
                    <div className="relative w-full md:w-full sm:pl-4 sm:pr-4 md:pr-0">
                        <ListAgenda />
                        <ButtonMore/>
                    </div>

                <div className="w-full md:w-1/4 md:ml-4 flex-col space-y-4 hidden md:flex">
                 <MenuRight />
                </div>

                </AppLayout>
            </StateContext.Provider>
        </>
    )
}