import { useState } from "preact/hooks";
import FormNewsEvent from "./FormNewsEvent";
import CardTile from "../../../core/presentation/component/CardTile";
import MiniCardIcon from "../../../core/presentation/component/MiniCardIcon";
import CustomDialog from "../../../core/presentation/component/CustomDialog";
import MyCalendar from "../component/MyCalendar";

function MenuRight() {
  
  const [showNewsForm, setShowNewsForm] = useState(false);
  const [isOpenDialog, setIsOpenDialog] = useState(false);

  const handleOpenDialog = () => setIsOpenDialog((value) => !value);

  return (
    <>
      <CardTile
        title={"Créer un évènement"}
        backgroundColor={"dark:bg-gray-900"}
        borderColor={"border-gray-800"}
        hoverColor={"dark:hover:bg-gray-700"}
        leading={
          <MiniCardIcon icon={"fa fa-plus"} />
        }
        onClick={() => setShowNewsForm(true)}
      >
        <p className="text-sm dark:text-gray-300">
         Créez un événement inoubliable en quelques étapes faciles
        </p>
      </CardTile>

      <CardTile
        title={"Calendrier"}
        backgroundColor={"dark:bg-gray-900"}
        borderColor={"border-gray-800"}
        hoverColor={"dark:hover:bg-gray-700"}
        leading={
          <MiniCardIcon icon={"fa fa-calendar"} />
        }
        onClick={handleOpenDialog}
      >
        <p className="text-sm dark:text-gray-300">
          Explorez le calendrier interactif pour découvrir et organiser tous les événements à venir
        </p>
      </CardTile>

      <CardTile
        title={"Carte"}
        backgroundColor={"dark:bg-gray-900"}
        borderColor={"border-gray-800"}
        hoverColor={"dark:hover:bg-gray-700"}
        leading={
          <MiniCardIcon icon={"fa-solid fa-location-dot"} />
        }
      >
        <p className="text-sm dark:text-gray-300">
          Lorem ipsum dolorem alkas scipsom dolor novoda csasp
        </p>
      </CardTile>

      {/* Create new event form */}
      <FormNewsEvent title={"Ajouter un nouvel evenement"} showNewsForm={showNewsForm} close={() => setShowNewsForm(false)} />

      {/* View calendar event */}
      <CustomDialog size={"xxl"} isOpenDialog={isOpenDialog} setOpenAndCloseDialog={handleOpenDialog}>
        <i className="fa fa-close cursor-pointer text-2xl text-gray-300" onClick={handleOpenDialog}></i>
        
        <MyCalendar/>      

      </CustomDialog>     

      {/* view in map event */}
    </>
  );
}

export default MenuRight;
