
export function formatDateTimeToFrench(inputDateString) {
    const date = new Date(inputDateString);
  
    const options = { 
      weekday: 'long', 
      year: 'numeric', 
      month: 'long', 
      day: 'numeric',
      hour: 'numeric',
      minute: 'numeric',
      second: 'numeric'
    };
  
    return date.toLocaleString('fr-FR', options);
  }

  export const convertToFrenchMonth = (month) => {
    const monthMappings = {
      Jan: 'Janvier',
      Feb: 'Février',
      Mar: 'Mars',
      Apr: 'Avril',
      May: 'Mai',
      Jun: 'Juin',
      Jul: 'Juillet',
      Aug: 'Août',
      Sep: 'Septembre',
      Oct: 'Octobre',
      Nov: 'Novembre',
      Dec: 'Décembre',
    };
  
    return monthMappings[month] || month;
  };

  export function convertToFrenchDay1(dayOfWeek) {
    const dayMappings = {
      Mo: 'Lundi', // Monday
      Tu: 'Mardi', // Tuesday
      We: 'Mercredi', // Wednesday
      Th: 'Jeudi', // Thursday
      Fr: 'Vendredi', // Friday
      Sa: 'Samedi', // Saturday
      Su: 'Dimanche'  // Sunday
    };
  
    return dayMappings[dayOfWeek] || dayOfWeek;
  }

  export function convertToFrenchDay(dayOfWeek) {
    const dayMappings = {
      Mon: 'Lundi',    // Monday
      Tue: 'Mardi',    // Tuesday
      Wed: 'Mercredi',  // Wednesday
      Thu: 'Jeudi',    // Thursday
      Fri: 'Vendredi', // Friday
      Sat: 'Samedi',   // Saturday
      Sun: 'Dimanche', // Sunday
    };
  
    return dayMappings[dayOfWeek] || dayOfWeek;
  }