import { computed, signal } from "@preact/signals";

export const createSignal = (states) => {
    const signals = {};

    Object.keys(states).forEach(stateName => {
        const state = states[stateName];
        const stateSignal = signal(state.initialState);
        const computers = {};

        if(typeof state.computers == "object") {
            Object.keys(state.computers).forEach(computerName => {
                computers[computerName] = computed(() => state.computers[computerName](stateSignal.value))
            })
        }

        signals[stateName] = {
            signal: stateSignal, 
            computers
        }
    })

    return signals;
}