import React from 'react'
import defaultImage from "../../../core/assets/images/defaultImage.png";
import defaultImgOrga from "../../../core/assets/images/organizations.png";
import defaultImgProject from "../../../core/assets/images/project.png";
import defaultImgCitoyens from "../../../core/assets/images/citoyens.png";
import { BASE_URL } from '../../application/constant/common';
import { useState } from 'preact/hooks';

function AsPdcAndPdp({ collection, profilMediumImageUrl, profilBannerUrl, changeTabs }) {
    const [banner, setbanner] = useState(defaultImage)
    const [showPlusOpt, setShowPlusOpt] = useState(false)

    if (collection === "projects") {
        setbanner(defaultImgProject)
    } else if (collection === "citoyens") {
        setbanner(defaultImgCitoyens)
    } else {
        setbanner(defaultImgOrga)
    }
    return (
        <>
            <div className="relative mt-2">
                <img
                    className="w-full h-48 rounded-lg justify-center object-cover"
                    src={profilBannerUrl != undefined ? BASE_URL + profilBannerUrl : banner}
                    onError={(e) => e.target.src = banner}
                />
                <div className='px-4 dark:text-gray-200 backdrop-blur-lg h-10 -translate-y-10 rounded-t-sm absolute w-full bg-black bg-opacity-10 flex items-center justify-end'>
                    <i class="fa-solid fa-ellipsis-vertical cursor-pointer" onClick={() => setShowPlusOpt(!showPlusOpt)}></i>
                </div>
                {showPlusOpt &&
                    <div className="absolute -mt-2 z-40 right-0 w-48 bg-white border dark:text-gray-200 border-lime-600 dark:border-gray-600 rounded-lg shadow-md dark:bg-gray-900">
                        <ul onPointerLeave={() => setShowPlusOpt(false)}>
                            <li onClick={()=>changeTabs('parametre')} className="px-4 py-2 hover:bg-lime-600 dark:hover:bg-lime-600 hover:text-white cursor-pointer">
                                <i className='fas fa-cog'></i> Mes parametres
                            </li>
                            <li onClick={()=>changeTabs('lorem')} className="px-4 py-2 hover:bg-lime-600 dark:hover:bg-lime-600 hover:text-white cursor-pointer">
                                <i className='fas fa-cog'></i> Lorem
                            </li>
                        </ul>
                    </div>
                }
                <div className="absolute ring-0 ring-gray-700 bottom-0 left-5 transform translate-y-1/3 w-20 h-20 bg-green-400 border-8 border-white dark:border-gray-700 rounded-2xl">
                    <img
                        className="w-full h-full bg-gray-700 rounded-lg object-cover"
                        src={BASE_URL + profilMediumImageUrl}
                        onError={(e) => e.target.src = defaultImage}
                    />
                </div>
            </div>
        </>
    )
}

export default AsPdcAndPdp