import PropTypes from 'prop-types'; 

export function ChipWithAvatar({name, image, defaultImage, backgroundColor}) {
  return (
    <div className={`flex items-center pr-2 rounded-2xl mb-1 ${backgroundColor ?? "dark:bg-gray-700 bg-gray-200"}`}>
        <img
          className="w-6 h-6 rounded-full object-cover border border-gray-400"
          src={image}
          onError={(e) => (e.target.src = defaultImage)}
          alt={name}
        />
        <div>
          <p
            style={{ fontSize: 12 }}
            className="dark:text-gray-300 text-sm ml-1"
          >
            {name}
          </p>
        </div>
      </div>
  );
}

ChipWithAvatar.propTypes = {
  name: PropTypes.string,  
  image: PropTypes.string, 
  defaultImage: PropTypes.string, 
  backgroundColor: PropTypes.string
};