import React from 'react';
import { Tooltip } from 'react-tooltip';
import PropTypes from 'prop-types'; 

const CircleAvatarStack = ({ participated, className }) => {
  const visibleParticipated = participated.slice(0, 3);
  const remainingParticipatedCount = participated.length - visibleParticipated.length;
  

  return (
    <>
         
    <div 
      onClick={()=> console.log(participated)} 
      data-tooltip-id="participe-tooltip" 
      data-tooltip-content={` ${participated.length} ${participated.length >= 2 ? "participant-e(s)" : "participant-e"}`} 
      className={`${className} mt-1 cursor-pointer`}
    >

       
       <div className="flex -space-x-1">
       {remainingParticipatedCount > 0 && (
        <div className={`inline-flex items-center justify-center w-6 h-6 text-gray-300 transition-colors duration-150 bg-gray-300 dark:bg-gray-300 rounded-full focus:shadow-outlin`}>
          <span style={{ fontSize: 12 }} className="text-gray-800 text-center mr-1">
            +{remainingParticipatedCount}
          </span>
        </div>
      )}
        
        {visibleParticipated.map((item, index) => (
          <div key={index} className=" dark:bg-gray-800 bg-gray-300 h-6 w-6 rounded-full ring-2 dark:ring-gray-700 ring-gray-400 flex items-center justify-center dark:text-gray-300 text-gray-500">
           <i className="fa-solid fa-face-grin-wide text-lg"></i>
         </div>
      ))}

       </div>
         
    </div>

    <Tooltip className="dark:bg-gray-700 -mt-3 -ml-7" id="participe-tooltip" />

    </>
  );
};

CircleAvatarStack.propTypes =  {
  participated: PropTypes.arrayOf(PropTypes.object), 
  className: PropTypes.string,
};

export default CircleAvatarStack;
