import { Tooltip } from "react-tooltip";
import PropTypes from 'prop-types'; 

function CircleCardIconWithBadge({ count, icon, dataTooltipContent, tooltipId }) {
    return ( 
        <div className="relative inline-flex items-center cursor-pointer justify-center w-8 h-8 text-gray-300  transition-colors duration-150 bg-gray-300 dark:bg-gray-700 rounded-full focus:shadow-outlin">
        <i
          data-tooltip-id={tooltipId}
          data-tooltip-content={dataTooltipContent}
          className={`${icon} dark:text-gray-300 text-gray-500 relative`}
        >
          {count !== 0 ? (
            <span
              style={{ fontSize: 10 }}
              className="bg-red-500 text-gray-200 rounded-full w-4 h-4 flex items-center justify-center absolute -top-3 text-sm -right-2"
            >
              { count }
            </span>
          ) : null}
        </i>
        <Tooltip
          className="dark:bg-gray-700 -mt-2 cursor-pointer"
          id={tooltipId}
        />
      </div>
     );
}

CircleCardIconWithBadge.propTypes = {
  count: PropTypes.number.isRequired,
  icon: PropTypes.string.isRequired,
  dataTooltipContent: PropTypes.string,
  tooltipId: PropTypes.string
};

export default CircleCardIconWithBadge;