import PropTypes from 'prop-types';

function CoverAndProfilImage({ coverImage, profilImage, defaultImage, altCover }) {
  return ( 
    <div className="relative mt-5">
      <img
        className="w-full h-48 rounded-lg"
        src={coverImage}
        alt={altCover}
        onError={(e) => (e.target.src = defaultImage)}
      />
      <div className="absolute ring-0 ring-gray-700 bottom-0 left-5 transform translate-y-1/2 w-20 h-20 bg-green-400 border-8 dark:border-gray-800 rounded-2xl">
        <img
          className="w-full h-full rounded-lg object-cover"
          src={profilImage}
          onError={(e) => (e.target.src = defaultImage)}
        />
      </div>
    </div>
  );
}

CoverAndProfilImage.propTypes = {
  coverImage: PropTypes.string,
  profilImage: PropTypes.string,
  defaultImage: PropTypes.string,
  altCover: PropTypes.string
};

export default CoverAndProfilImage;
