import { Drawer } from "@material-tailwind/react";


function DrawerRightTwo({ isOpenDrawerRight, openAndCloseDrawerRight, children }) {

    return (
        <Drawer
            overlay={true}
            size={550}
            placement="right"
            open={isOpenDrawerRight}
            onClose={openAndCloseDrawerRight}
            className="rounded-bl-lg rounded-tl-lg bg-gray-900 opacity-100 w-full h-full overflow-hidden"
        >
            <div onClick={openAndCloseDrawerRight} className="absolute z-40 top-0 left-0 inline-flex w-8 h-8 mr-0 items-center justify-center dark:text-gray-300 cursor-pointer transition-colors duration-150 dark:bg-lime-600 rounded-br-lg rounded-tl-lg focus:shadow-outline">
                <i className="fa fa-close text-white"></i>
            </div>
            {children}

        </Drawer>

    );
}

export default DrawerRightTwo;