import PropTypes from 'prop-types';

function MiniCardIcon({ icon, iconColor, backgroundColor, borderRadius , onClick , className}) {
    return ( 
        <div onClick={(e)=>{
            e.stopPropagation();
            onClick()
        }} className={`inline-flex w-8 h-8 mr-0 items-center justify-center dark:text-gray-300 transition-colors duration-150 ${backgroundColor ?? "dark:bg-gray-800"} ${borderRadius ?? "rounded-lg"} focus:shadow-outlin ${className}`}>
            <i className={`${icon} ${iconColor}`}></i>
        </div>
     );
}

MiniCardIcon.propTypes = {
    icon: PropTypes.string.isRequired,
    iconColor: PropTypes.string,
    backgroundColor: PropTypes.string,
    borderRadius: PropTypes.string,
    onClick: PropTypes.func,
    className: PropTypes.string,
  };

export default MiniCardIcon;