import React, { useCallback, useEffect, useMemo, useState } from 'react';
import Switch from 'react-switch';
import useLocalStorage from '../../application/hooks/useLocalStorage';
const ThemeSwicther = () => {
    const [theme, setTheme] = useLocalStorage('theme', 'dark')

    useEffect(() => {
        document.documentElement.classList.remove('light', 'dark')
        document.documentElement.classList.add(theme)
    }, [theme])
    const [isDarkMode, setIsDarkMode] = useState(theme == 'dark')
    const handleThemeChange = useCallback((isDarkMode) => {
        setTheme(isDarkMode ? 'dark' : 'light')
        setIsDarkMode(isDarkMode)
    }, [])
    return useMemo(() => (
        <Switch
            uncheckedIcon={
                <div
                    style={{
                        display: 'flex',
                        justifyContent: 'center',
                        alignItems: 'center',
                        height: '100%',
                        fontSize: 20,
                        paddingRight: 2,
                    }}
                >
                    🌞
                </div>
            }
            checkedIcon={
                <div
                    style={{
                        display: 'flex',
                        justifyContent: 'center',
                        alignItems: 'center',
                        height: '100%',
                        fontSize: 20,
                        paddingRight: 2,
                    }}
                >
                    🌑
                </div>
            }
            onColor="#4d4d4d"
            onChange={handleThemeChange}
            checked={isDarkMode}
        />
    ), [isDarkMode])
}
export default ThemeSwicther;