import { useEffect, useState } from 'preact/hooks';
import React from 'react';
import PropTypes from 'prop-types';

function InputSimple({ label, type, ctrl, value, placeholder, defaultValue, my, msgErreur }) {
    const [inputValue, setInputValue] = useState();
    const [ctrlEdit, setctrlEdit] = useState(ctrl)
    useEffect(() => {
        setInputValue(defaultValue == undefined ? "" : defaultValue)
        setctrlEdit(ctrl)
    }, [defaultValue, ctrl])

    const handleChange = (e) => {
        setInputValue(e.target.value);
        value(e.target.value);
        if (e.target.value == "" && ctrl != undefined) {
            setctrlEdit(true)
        } else {
            setctrlEdit(false)
        }
    };

    return (
        <div className={my == undefined ? "my-4" : "my-" + my}>
            <label
                className={`block text-sm font-medium ${ctrl == undefined || ctrlEdit === false ? `text-gray-800 dark:text-gray-200` : `text-red-700 dark:text-red-500`
                    }`}
            >
                {label}
            </label>
            <input
                type={type}
                value={inputValue}
                defaultValue={inputValue}
                className={`${ctrl == undefined || ctrlEdit === false
                    ? 'block w-full p-3 pl-2 mt-2 text-sm text-gray-900 dark:text-gray-300 border border-gray-300 dark:bg-gray-800 dark:border-gray-600 bg-gray-50 focus:ring-blue-500 focus:border-blue-500 rounded-lg dark:placeholder-gray-400 dark:focus:ring-blue-500 dark:focus:border-blue-500 outline-none'
                    : 'w-full p-3 pl-2 mt-2 bg-red-50 border border-red-500 text-red-500 placeholder-red-700 text-sm rounded-lg focus:ring-red-500 dark:bg-gray-700 focus:border-red-500 block dark:text-red-500 dark:placeholder-red-500 dark:border-red-500 outline-none'
                    }`}
                placeholder={placeholder === undefined ? `${label} ...` : placeholder}
                onChange={handleChange}
            />
            {ctrl == undefined || ctrlEdit &&
                <p style={{fontSize:"13px"}} class="mt-2 text-red-600 dark:text-red-500"> {msgErreur == undefined ? "Ce champ est obligatoire" : msgErreur}</p>
            }
        </div>
    );
}

InputSimple.propTypes = {
    label: PropTypes.string.isRequired,
    type: PropTypes.string.isRequired,
    ctrl: PropTypes.bool,
    placeholder: PropTypes.string,
    defaultValue: PropTypes.string,
    my: PropTypes.number,
};

export default InputSimple;
