import { useState } from "preact/hooks";
import AppMenu from "../component/AppMenu";
import Navbar from "../component/Navbar";
import PropTypes from 'prop-types';

const AppLayout = ({ children, handleSearchKeyUp, hideDefault }) => {

    const [menuHidden, setmenuHidden] = useState(false)

    const hideMenuFunction = () => {
        setmenuHidden(!menuHidden)
    }
    return (
        <>
            <div className="w-full border-b-2 dark:border-slate-700 fixed top-0 left-0 right-0 bg-white dark:bg-gray-900">
                <div className="mx-auto max-w-screen-xl">
                    <Navbar onSearchKeyUp={handleSearchKeyUp} hideAppMenu={hideMenuFunction} />
                </div>
            </div>
            <div className="px-1 mx-auto max-w-screen-xl flex pt-[80px] h-[calc(100vh-10px)] overflow-hidden">
                <div className={`lg:w-1/4 ${menuHidden ? "pr-5" : hideDefault}`}>
                    {/* <div className={`lg:w-1/4 md:block ${menuHidden ? "pr-5" : ""}`}> */}
                    <AppMenu hideAppMenu={menuHidden} />
                </div>
                {children}
            </div>
        </>
    );
}

AppLayout.propTypes = {
    children: PropTypes.node,
    handleSearchKeyUp: PropTypes.func,
};

export default AppLayout;