import React from 'react';
import Reation from "../component/reaction";
import { useState } from 'preact/hooks';
import { voteTypes } from './voteTypes';
import { USER_CONNECTED } from '../../../core/application/constant/common';

function ActionNews({ commentCountVar, vote, voteCount, id, toggleComments, onDataPassShowNewsForm, dataReaction}) {
    const [reactionShow, setReactionShow] = useState(false);
    const totalVotes = voteCount ? Object.values(voteCount).reduce((acc, count) => acc + count, 0) : "";

    const addReactionBtn = (data) => {
        dataReaction(data)
        setReactionShow(false);
    };

    const openShareModal = () => {
        onDataPassShowNewsForm(true)
    };

    return (
        <>
            <ul onMouseLeave={() => setReactionShow(false)} className="pt-6 flex text-lg text-gray-700 justify-between dark:text-gray-400">
                <li onClick={() => toggleComments(id)}>
                    <div className="dark:hover:text-gray-50 cursor-pointer"> <i class="fa-regular fa-comment"></i> {commentCountVar} <span className="hidden md:inline">Commentaire</span></div>
                </li>
                <li>
                    <div className="-ml-10">
                        <div className="-ml-3">
                            <Reation reactionShow={reactionShow} onDataCallback={addReactionBtn} />
                        </div>
                    </div>
                    <div onMouseEnter={() => setReactionShow(true)} className="dark:hover:text-gray-50 cursor-pointer">
                        {vote && vote[USER_CONNECTED.id] ?
                            <>
                                <i
                                    className={`fa-solid fa-${voteTypes.find((type) => type.type === vote[USER_CONNECTED.id].status).icon} text-gray-200 p-1 rounded-full bg-${voteTypes.find((type) => type.type === vote[USER_CONNECTED.id].status).color}`} ></i>
                            </> :
                            <>
                                <i class="fa-regular fa-thumbs-up"></i>
                            </>
                        }
                        {" "}
                        {totalVotes}
                        {" "}
                        <span className="hidden md:inline">J'aime</span>
                    </div>
                </li>
                <li>
                    <div onClick={openShareModal} className="dark:hover:text-gray-50 cursor-pointer"><i class="fa-regular fa-share-from-square"></i> <span className="hidden md:inline">Partager</span></div>
                </li>
            </ul>
        </>
    )
}

export default ActionNews