import { useContext } from "preact/hooks";
import CardNews from "./CardNews";
import StateContext from "../../../../core/context/state-context";
import Masonry, { ResponsiveMasonry } from "react-responsive-masonry";

function ListGallery() {
  const { articles } = useContext(StateContext);
  const news = articles.signal.value;

  const items = news.map((post, index) =>
    post.mediaImg && post.mediaImg.images ? (
      <CardNews key={index} post={post} />
    ) : null
  );

  return (
    <>
      <ResponsiveMasonry columnsCountBreakPoints={{ 350: 1, 750: 2, 900: 3 }} className="mr-2">
        <Masonry gutter="8px">{items}</Masonry>
      </ResponsiveMasonry>
    </>
  );
}

export default ListGallery;
