function SwitchIconButton({ icon, label, onClick, isSelected }) {
    return (
      <div
        onClick={onClick}
        className={`flex space-x-2 items-center p-1 rounded-lg font-bold cursor-pointer ${
          isSelected
            ? 'bg-lime-600 text-white'
            : 'bg-white dark:bg-gray-900 text-gray-500 dark:text-gray-400'
        }`}
      >
        <div className={`w-10 h-10 rounded-lg flex items-center justify-center bg-lime-700 dark:bg-lime-700 text-white`}>
          <i style={{ fontSize: 20 }} className={icon}></i>
        </div>
        <div className="text-sm pr-2">{label}</div>
      </div>
    );
  }
  
  export default SwitchIconButton;
  
