import { useState } from 'preact/hooks';
import React from 'react'

function Scope({ imageConnected, author, type, scopeValue, scopeValueCallBack }) {
    const [scope, setScope] = useState(scopeValue);
    const setValueScope = (e) => {
        setScope(e.target.value)
        scopeValueCallBack(e.target.value)
    };
    
    return (
        <div className="w-full flex bg-white dark:bg-gray-900">
            <div className="w-18 mb-2">
                <img src={imageConnected} className="block w-20 h-22 object-cover rounded-full" />
            </div>
            <div className="relative pl-4 w-full">
                <p className="text-base leading-relaxed text-gray-800 dark:text-gray-200 mb-1">
                    {author.name}
                </p>
                {type == "share" ? (
                    <span className="text-gray-500 dark:text-gray-300 ">
                        a publié un message
                    </span>)
                    :
                    (<select
                        onChange={setValueScope}
                        value={scope}
                        className="w-24 bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-gray-300 dark:focus:ring-blue-500 dark:focus:border-blue-500">
                        <option value="public"> Public</option>
                        <option value="restricted">Abonnes</option>
                        <option value="private">Prive</option>
                    </select>)
                }
            </div>
        </div>
    )
}

export default Scope