import { useState } from "preact/hooks";
import FormNewsInput from "../../container/FormNewsInput";
import defaultImage from "../../../../core/assets/images/defaultPerson.png";

export default function FormNews({ imageConnected, parentId, author }) {
    const [showNewsForm, setShowNewsForm] = useState(false);
    return (
        <>
            <div className="flex w-full bg-white p-5 shadow-md dark:bg-gray-900 mb-2 rounded-lg cursor-pointer">
                <div className="w-14">
                    <img src={imageConnected} onError={(e) => e.target.src = defaultImage} alt="" className="block w-12 h-12 object-cover rounded-full" />
                </div>
                <div className="relative pl-4 flex-1">
                    <input
                        onFocus={() => setShowNewsForm(true)}
                        value={""}
                        placeholder="Exprimer-vous"
                        className="w-full p-3 pl-2 text-sm text-gray-900 border border-gray-300 rounded-full bg-gray-50 focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-gray-200 dark:focus:ring-blue-500 dark:focus:border-blue-500 outline-none"
                    />
                </div>
            </div>

            <FormNewsInput title={"Creer votre publication"} showNewsForm={showNewsForm} close={() => setShowNewsForm(false)} imageConnected={imageConnected} parentId={parentId} author={author} />
        </>
    )
}