import StateContext from "../../../core/context/state-context";
import AppLayout from "../../../core/presentation/container/AppLayout";
import ListArticle from "./ListArticle";
import { configureStates } from "../../application/state/index"
import { getNews } from "../../infrastructure/api/news-api";
import { useState } from "preact/hooks";

export function NewsApp() {
    const [article, setArticle] = useState([]);
    const searchNews = async (params) => {
        if (params.length > 2) {
            try {
                const news = await getNews(0, params);
                setArticle(news)
            } catch (error) {
                console.error(error);
            }
        } else if (params.length == 0) {
            const news = await getNews();
            setArticle(news)
        }
    }
    return (
        <>
            <StateContext.Provider value={configureStates()}>
                <AppLayout handleSearchKeyUp={searchNews}>
                    <div className="lg:w-full sm:pl-4 sm:pr-4 md:pr-0">
                        <ListArticle articleProps={article} />
                    </div>
                    <div className="lg:w-1/4 hidden md:block">
                    </div>
                </AppLayout>
            </StateContext.Provider>
        </>
    )
}