import { useContext } from "preact/hooks";
import { addComments, addaction, deleteCommments, getComments, updateComment } from "../../infrastructure/api/news-api"
import Reponse from "../component/reponse"
import StateContext from "../../../core/context/state-context";
import FormReponse from "../component/form/formReponse";

function ReponseList({ imageConnected, replies, idNews, idComments }) {
	const { articleComments } = useContext(StateContext);

	const addReponseAction = async (comment, idNews, idComments) => {
		await addComments(comment, idNews, idComments)
		const commentsConst = await getComments(idNews);
		articleComments.signal.value = commentsConst;
	}

	const deleteAction = async (id, contextId) => {
		await deleteCommments(id);
		const commentsConst = await getComments(contextId);
		articleComments.signal.value = commentsConst;
	}

	const addReactionAction = async (id, data, contextId) => {
		await addaction(id, data, 'comments');
		const comment = await getComments(contextId);
		articleComments.signal.value = comment;
	};

	const updateAction = async (id, commentTextModif) => {
		await updateComment(id, commentTextModif);
		articleComments.signal.value = articleComments.signal.value.map((comment) => {
			if (comment.replies.hasOwnProperty(id)) {
				if (id === id) {
					comment.replies[id].text = commentTextModif;
				}
				return comment;
			} else {
				return comment;
			}
		});

	}
	return (
		<div className="pl-20 -mt-5 ml-2">
			<ol class="relative border-l border-lime-600 dark:border-gray-600">
				<FormReponse imageConnected={imageConnected} idNews={idNews} idComments={idComments} addReponseAction={addReponseAction} />
				{
					Object.keys(replies).map((key) => (
						<Reponse
							reportAbuseCount={replies[key].reportAbuseCount}
							text={replies[key].text}
							author={replies[key].author}
							created={replies[key].created}
							id={replies[key]._id.$id}
							contextId={replies[key].contextId}
							voteCount={replies[key].voteCount}
							deleteAction={deleteAction}
							addReactionAction={addReactionAction}
							updateAction={updateAction}
						/>
					)).reverse()
				}
			</ol>
		</div>
	)
}

export default ReponseList