import React from 'react'
import ListArticle from '../../../news/presentation/container/ListArticle';
import { useEffect, useState } from 'preact/hooks';
import Settings from '../container/Settings';

function AllAction({ tabsProps }) {
    const [tabs, settabs] = useState('journal');

    useEffect(() => {
        if (tabsProps != "") {
            settabs(tabsProps)
        }
    }, [tabsProps])

    const activeTabs = 'inline-flex items-center justify-center p-4 text-lime-600 border-b-2 border-lime-600 rounded-t-lg active dark:text-lime-600 dark:border-lime-600 group';
    const noActiveTabs = 'inline-flex items-center justify-center p-4 border-b-2 border-transparent rounded-t-lg hover:text-blue-600 hover:border-gray-300 dark:hover:text-gray-300 group';

    const changetabs = (params) => {
        settabs(params)
    }

    return (
        <>
            <div className="border-b rounded-t-lg border-gray-200 bg-white dark:border-gray-700 dark:bg-gray-900 mb-2">
                <ul className="flex flex-wrap -mb-px text-sm font-medium text-center text-gray-500 dark:text-gray-400">
                    <li className="me-2 cursor-pointer" onClick={() => changetabs('journal')}>
                        <div className={tabs === 'journal' ? activeTabs : noActiveTabs} aria-current="page">
                            <i className="fa-regular fa-newspaper mr-2"></i> Actualités
                        </div>
                    </li>
                    <li className="me-2 cursor-pointer" onClick={() => changetabs('agenda')}>
                        <div className={tabs === 'agenda' ? activeTabs : noActiveTabs}>
                            <i className="fa-solid fa-calendar-day mr-2"></i> Agenda
                        </div>
                    </li>
                </ul>
            </div>

            {tabs === 'journal' ? (
                <div className='h-[calc(100vh-160px)] overflow-auto'>
                    <ListArticle articleProps={[]} />
                </div>
            ) : tabs === 'parametre' ? (
                <>
                    <Settings />
                </>
            ) : null}
        </>
    );
}

export default AllAction;
