import React from 'react'

function Card({image, label, action}) {
    return (
        <div className="bg-gray-900 w-full h-32 shadow-xl rounded-bl-lg rounded-lg overflow-hidden transform cursor-pointer border-lime-600" onClick={action}>
            <div className="relative">
                <img
                    src={image}
                    className="h-32 w-full object-cover rounded-lg bg-gray-300 dark:bg-gray-700 transform hover:scale-105 transition duration-1000"
                />
                <div className="text-gray-100 font-bold text-center">
                    <h1 className="absolute dark:text-gray-200 text-xs bottom-0 w-full text-center backdrop-blur-sm bg-gray-800 bg-opacity-75 rounded-bl-lg">
                        <div className='py-1'>
                            {label}
                        </div>
                    </h1>
                </div>
            </div>
        </div>
    )
}

export default Card