import React from 'react'
import MapDetaille from '../../../searchAll/presentation/component/MapDetaille'
import DateTimeOpen from '../../../searchAll/presentation/component/DateTimeOpen'
import { USER_CONNECTED } from '../../../core/application/constant/common';

function Info({ element }) {
    return (
        <>
            <div className='px-4'>
                <div className="p-2 text-gray-900 dark:text-gray-300">
                    <ol className="relative border-s border-lime-600 dark:border-gray-800 mb-5">
                        <li className={`ms-6 w-full mb-4 ${element.id == USER_CONNECTED.id ? ' hover:p-2 hover:dark:bg-gray-800 hover:rounded-lg group' : ''}`}>
                            <span className="absolute flex items-center justify-center w-6 h-6 rounded-full -start-3 ring-8 ring-white dark:ring-gray-800 bg-lime-600 text-gray-100">
                                <i className="fa-solid fa-file-lines"></i>
                            </span>
                            <div className='flex justify-between'>
                                <h3 className="flex items-center text-base font-semibold dark:text-gray-200">DESCRIPTIONS</h3>
                                <i
                                    className={`flex items-center fas fa-pencil fa-sm cursor-pointer opacity-0 ${element.id == USER_CONNECTED.id ? 'group-hover:opacity-100' : ''}`}
                                    onClick={()=>console.log('dsdsds')}
                                >
                                </i>
                            </div>
                            <span className='text-sm'>
                                <p className="font-bold">
                                    {element.shortDescription ? element.shortDescription : "Non renseigné(e)"}
                                </p>
                                <p className='mt-2 font-normal'>
                                    {element.description ? element.description : "Non renseigné(e)"}
                                </p>
                            </span>
                        </li>

                        <li className={`ms-6 w-full ${element.id == USER_CONNECTED.id ? ' hover:p-2 hover:dark:bg-gray-800 hover:rounded-lg group' : ''}`}>
                            <span className="absolute flex items-center justify-center w-6 h-6 rounded-full -start-3 ring-8 ring-white dark:ring-gray-800 bg-lime-600 text-gray-100">
                                <i className="fa-solid fa-address-book"></i>
                            </span>
                            <div className='flex justify-between'>
                                <h3 className="flex items-center mb-1 text-base font-semibold dark:text-gray-200">INFORMATIONS GÉNÉRALES</h3>
                                <i className={`flex items-center fas fa-pencil fa-sm cursor-pointer opacity-0 ${element.id == USER_CONNECTED.id ? 'group-hover:opacity-100' : ''}`}></i>
                            </div>
                            <p className="mb-2 text-sm font-normal">
                                <span>
                                    <i className="fa-solid fa-font dark:bg-gray-900 p-1.5 rounded-full mr-1"></i>
                                    {element.name}
                                </span>
                            </p>
                            <p className="mb-2 text-sm font-normal">
                                <span>
                                    <i className="fa-solid fa-at dark:bg-gray-900 p-1.5 rounded-full mr-1"></i>
                                    {element.email ? element.email : "Non renseigné(e)"}
                                </span>
                            </p>
                            <p className="mb-2 text-sm font-normal">
                                <span>
                                    <i className="fa-solid fa-desktop dark:bg-gray-900 p-1.5 rounded-full mr-1"></i>
                                    {element.url ? (
                                        <a href={element.url} target="_blank" rel="noopener noreferrer">
                                            {element.url}
                                        </a>
                                    ) : (
                                        "Non renseigné(e)"
                                    )}
                                </span>

                            </p>
                            {element.collection == "organizations" || element.collection == "citoyens" &&
                                <>
                                    <p className="mb-2 text-sm font-normal">
                                        <span>
                                            <i className="fa-solid fa-phone dark:bg-gray-900 p-1.5 rounded-full mr-1"></i>
                                            {element.telephone && element.telephone.fixe ? (
                                                <>{element.telephone.fixe}</>
                                            ) : (
                                                "Non renseigné(e)"
                                            )}
                                        </span>
                                    </p>
                                    <p className="mb-2 text-sm font-normal">
                                        <span>
                                            <i className="fa-solid fa-mobile dark:bg-gray-900 p-1.5 rounded-full mr-1"></i>
                                            {element.telephone && element.telephone.mobile ? (
                                                <>{element.telephone.mobile}</>
                                            ) : (
                                                "Non renseigné(e)"
                                            )}
                                        </span>
                                    </p>
                                </>
                            }
                            {element.tags !== undefined &&
                                <p className="mb-4 text-base font-normal">
                                    <span className="flex flex-wrap items-center">
                                        <i className="fa-solid fa-tag dark:bg-gray-900 p-1.5 rounded-full mr-1"></i>
                                        {element.tags.map((element, index) => (
                                            <span key={index} className="text-gray-100 mb-2 text-xs font-medium me-2 px-2.5 py-0.5 rounded bg-lime-600 dark:text-gray-100">
                                                {element}
                                            </span>
                                        ))}
                                    </span>
                                </p>
                            }
                        </li>

                        <li className={`ms-6 w-full ${element.id == USER_CONNECTED.id ? ' hover:p-2 hover:dark:bg-gray-800 hover:rounded-lg group' : ''}`}>
                            <span className="absolute flex items-center justify-center w-6 h-6 rounded-full -start-3 ring-8 ring-white dark:ring-gray-800 bg-lime-600 text-gray-100">
                                <i className="fa-solid fa-circle-nodes"></i>
                            </span>
                            <div className='flex justify-between'>
                                <h3 className="flex items-center mb-1 text-base font-semibold dark:text-gray-200">RÉSEAUX SOCIAUX</h3>
                                <i className={`flex items-center fas fa-pencil fa-sm cursor-pointer opacity-0 ${element.id == USER_CONNECTED.id ? 'group-hover:opacity-100' : ''}`}></i>
                            </div>
                            {element.socialNetwork ?
                                <div class="flex flex-wrap justify-left gap-2">
                                    {Object.keys(element.socialNetwork).map((key, index) => (
                                        <a href={element.socialNetwork[key]} target='_blank' class="text-gray-900 bg-white border border-gray-300 focus:outline-none hover:bg-gray-100 focus:ring-4 focus:ring-gray-200 font-medium rounded px-2 py-1 dark:bg-gray-800 dark:text-white dark:border-gray-600 dark:hover:bg-lime-600 dark:hover:border-lime-600 dark:focus:ring-gray-700">
                                            <i class={key == "signal" ? `fa-solid fa-${key}` : `fa-brands fa-${key}`}></i>
                                        </a>
                                    ))}
                                </div> :
                                <>
                                    Non renseigné(e)
                                </>
                            }
                        </li>
                        {element.openingHours || element.endDate && element.startDate && element.collection != "poi" && element.collection != "citoyens" ?
                            <DateTimeOpen
                                type={element.collection}
                                startDate={element.startDate}
                                endDate={element.endDate}
                                openingHours={element.openingHours}
                            /> : element.collection != "poi" && element.collection != "citoyens" ?
                                <li className="mb-4 ms-6">
                                    <span className="absolute flex items-center justify-center w-6 h-6 rounded-full -start-3 ring-8 ring-white dark:ring-gray-800 bg-lime-600 text-gray-100">
                                        <i className="fa-solid fa-clock"></i>
                                    </span>
                                    <h3 className="flex items-center mb-1 text-base font-semibold dark:text-gray-200">{element.collection == "projects" ? "QUAND" : "HEURE D'OUVERTURE"}</h3>
                                    Non renseigné(e)
                                </li> :
                                null
                        }
                        <li className={`ms-6 w-full ${element.id == USER_CONNECTED.id ? ' hover:p-2 hover:dark:bg-gray-800 hover:rounded-lg group' : ''}`}>
                            <span className="absolute flex items-center justify-center w-6 h-6 rounded-full -start-3 ring-8 ring-white dark:ring-gray-800 bg-lime-600 text-gray-100">
                                <i className="fa-solid fa-location-dot"></i>
                            </span>
                            <div className='flex justify-between'>
                                <h3 className="flex items-center mb-1 text-base font-semibold dark:text-gray-200">ADRESSE</h3>
                                <i className={`flex items-center fas fa-pencil fa-sm cursor-pointer opacity-0 ${element.id == USER_CONNECTED.id ? 'group-hover:opacity-100' : ''}`}></i>
                            </div>
                            {element.address && element.geo ?
                                <>
                                    <span className='text-sm font-normal'>
                                        {element.address.streetAddress} / {element.address.addressLocality} / {element.address.level1Name}
                                    </span>
                                    <MapDetaille
                                        latitude={element.geo.latitude}
                                        longitude={element.geo.longitude}
                                    />
                                </> :
                                <>
                                    Adresse non renseignée
                                </>
                            }
                        </li>
                    </ol>
                </div>
            </div>
        </>
    )
}

export default Info