import React from 'react'
import Info from '../component/Info'
import AllAction from '../component/AllAction'
import { BASE_URL, USER_CONNECTED } from '../../../core/application/constant/common'
import AsPdcAndPdp from '../../../core/presentation/component/AsPdcAndPdp'
import { useState } from 'preact/hooks'

function ProfileIndex() {
	const [changeTabs, setchangeTabs] = useState("")
	return (
		<>
			<div className="w-full flex flex-col md:flex-row">
				<div className='w-full md:w-1/3 -mt-2 bg-white dark:bg-gray-900 rounded-b-lg md:flex-col md:order-1'>
					<AsPdcAndPdp
						collection={USER_CONNECTED.collection}
						profilMediumImageUrl={USER_CONNECTED.profilMediumImageUrl}
						profilBannerUrl={USER_CONNECTED.profilBannerUrl}
						changeTabs={(e)=>setchangeTabs(e)}
					/>
					<div className='px-4'>
						<div className="mt-8 flex flex-col items-center">
							<h4 className="text-xl font-bold text-navy-700 dark:text-gray-200">
								{USER_CONNECTED.name}
							</h4>
						</div>
						<div className='h-[calc(100vh-350px)] overflow-y-auto overflow-x-hidden'>
							<Info
								element={USER_CONNECTED}
							/>
						</div>
					</div>
				</div>
				<div className="w-full md:w-2/3 relative h-[calc(100vh-90px)] rounded-lg sm:p-10 md:p-4 mt-4 md:-mt-4 shadow-3xl shadow-shadow-500 dark:bg-gray-800 dark:text-gray-200 md:flex-col md:order-2">
					<AllAction
						tabsProps={changeTabs}
					/>
				</div>
			</div>
		</>
	)
}

export default ProfileIndex