import React from 'react'
import Modal from '../../../core/presentation/component/Modal'

function SuccessRegisterPopUp({ show, close }) {
    return (
        <Modal show={show} close={close} onSubmit={close} width={"2/6"} onSubmitText={"Ok"} title={"VOTRE COMPTE EST CRÉÉ !"} headerColor={"bg-lime-600"}>
            <div className='space-y-2 font-semibold dark:text-gray-300 text-gray-900'>
                <div className='text-green-600'>
                    <i className='fas fa-check bg-green-600 text-white rounded-full p-1.5'></i> CONFIRMEZ VOTRE ADRESSE E-MAIL
                </div>
                <div className='font-normal text-sm'>AFIN D'ACCEDER A VOTRE COMPTE</div>
                <div className='text-sm font-normal'>
                    <i className='fas fa-lock  bg-green-600 text-white rounded-full p-1.5 mr-1'></i>
                    Pour des raisons de sécurité, vous devez confirmer votre adresse e-mail avant de pouvoir vous connecter.
                </div>
                <div className='py-1.5'>COMMENT FAIRE ?</div>
                <div className='font-medium'>
                    <i className='fas fa-envelope bg-green-600 text-white rounded-full p-1.5 mr-1'></i>
                    Vérifiez vos emails et vos spams (courriers indésirables)
                </div>
                <div className='font-medium'>
                    <i className='fas fa-link bg-green-600 text-white rounded-full py-1.5 px-1 mr-1'></i>
                    Cliquez sur le lien d'activation que nous vous avons envoyé.
                </div>
            </div>
        </Modal>
    )
}

export default SuccessRegisterPopUp