import React from 'react'
import leftImage from "../../../core/assets/images/removeLogoRegister.png";
import InputSimple from '../../../core/presentation/component/input/InputSimple';
import { useState } from 'preact/hooks';
import { personRegister } from '../../infrastructure/api/register-api';
import SuccessRegisterPopUp from '../component/SuccessRegisterPopUp';
import { Toaster, toast } from 'react-hot-toast';

function RegisterForm() {
    const [name, setname] = useState("")
    const [username, setusername] = useState("")
    const [email, setemail] = useState("")
    const [pwd, setpwd] = useState("")
    const [repwd, setrepwd] = useState("")
    const [regleconfidentianl, setregleconfidentianl] = useState(false)
    const [regleconfidentianl1, setregleconfidentianl1] = useState(false)

    const [nameCtrl, setnameCtrl] = useState(false)
    const [usernameCtrl, setusernameCtrl] = useState(false)
    const [emailCtrl, setemailCtrl] = useState(false)
    const [pwdCtrl, setpwdCtrl] = useState(false)
    const [repwdCtrl, setrepwdCtrl] = useState(false)

    const [successRegisterShow, setsuccessRegisterShow] = useState(false)

    const toastOptions = {
        style: {
            borderRadius: '10px',
            background: '#333',
            color: '#fff',
        },
    };
    console.log(
        name,
        username,
        email,
        pwd,
        repwd,
        regleconfidentianl,
        regleconfidentianl1
    );

    const registerBtn = async () => {
        let resultCtrl = '';
        if (name == '') {
            setnameCtrl(true)
        } else {
            setnameCtrl(false)
            resultCtrl += '1';
        }
        if (username == '') {
            setusernameCtrl(true)
        } else {
            setusernameCtrl(false)
            resultCtrl += '2';
        }
        if (email == '') {
            setemailCtrl(true)
        } else {
            setemailCtrl(false)
            resultCtrl += '3';
        }
        if (pwd == '') {
            setpwdCtrl(true)
        } else {
            setpwdCtrl(false)
            resultCtrl += '4';
        }
        if (repwd == '') {
            setrepwdCtrl(true)
        } else {
            setrepwdCtrl(false)
            resultCtrl += '5';
        }
        if (resultCtrl == "12345" && regleconfidentianl == true && regleconfidentianl1 == true) {
            try {
                const response = await personRegister(name, username, email, pwd, "co2", "", "two_steps_register", true);
                if (response.data.result) {
                    setsuccessRegisterShow(true);
                    toast.success(<div dangerouslySetInnerHTML={{ __html: response.data.msg }} />, toastOptions);
                } else {
                    toast.error(<div dangerouslySetInnerHTML={{ __html: response.data.msg }} />, toastOptions);
                }
            } catch (error) {
                toast.error('Error', toastOptions);
            }
        } else {
            toast.error('Veuillez vérifier les champs', toastOptions);
        }
        console.log(resultCtrl);
    }

    return (
        <>
            <div className="w-full flex items-center bg-white justify-center h-full dark:bg-gray-900 rounded-lg">
                <div className="w-full pl-[6.5rem] h-full dark:bg-gray-900 hidden lg:block lg:w-1/2 rounded-l-lg">
                    <img src={leftImage} className='object-cover h-full' />
                </div>
                <div className="w-full dark:bg-gray-900 rounded-lg lg:rounded-l-none">
                    <div className='-mt-8 mb-5 text-center text-2xl font-bold text-lime-600'>
                        Creer votre compte
                    </div>
                    <div class="pb-5 -mt-4 sm:px-5 rounded h-[26rem] overflow-x-hidden overflow-y-auto">
                        <div class="lg:px-[10rem] px-10 sm:px-2 space-y-4">
                            <InputSimple value={(e) => setname(e)} label={"Nom et prénom *"} type={"text"} ctrl={nameCtrl} />
                            <InputSimple value={(e) => setusername(e)} label={"Nom d'utilisateur *"} type={"text"} ctrl={usernameCtrl} />
                            <InputSimple value={(e) => setemail(e)} label={"E-mail *"} type={"text"} ctrl={emailCtrl} msgErreur={"exemple@gmail.com"} />
                            <InputSimple value={(e) => setpwd(e)} label={"Mot de passe *"} type={"password"} ctrl={pwdCtrl} msgErreur={""} />
                            <InputSimple value={(e) => setrepwd(e)} label={"Répétez le mot de passe *"} type={"password"} ctrl={repwdCtrl} msgErreur={"Verifier les champs"} />
                            <div onClick={() => setregleconfidentianl(!regleconfidentianl)} className="flex items-center">
                                <input
                                    checked={regleconfidentianl == true}
                                    type="checkbox" name="default-radio" className="w-4 h-4 text-blue-600 bg-gray-100 cursor-pointer border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600" />
                                <label className="ml-2 text-sm text-gray-900 dark:text-gray-300 cursor-pointer">
                                    <span className='text-red-500'>Je suis d'accord avec</span> les mentions légales <span className='text-red-500'>et</span> les règles de confidentialité
                                </label>
                            </div>
                            <div onClick={() => setregleconfidentianl1(!regleconfidentianl1)} className="flex items-center">
                                <input
                                    checked={regleconfidentianl1 == true}
                                    type="checkbox" name="default-radio" className="w-4 h-4 text-blue-600 bg-gray-100 cursor-pointer border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600" />
                                <label className="ml-2 text-sm text-gray-900 dark:text-gray-300 cursor-pointer">
                                    <span className='text-red-500'>J'ai pris connaissance</span> la charte d'utilisation
                                </label>
                            </div>
                        </div>
                        <div className='mt-2 lg:px-[10rem] px-10 flex items-center justify-between'>
                            <button
                                class="mt-3 lg:px-10 px-5 py-2 font-bold text-white bg-gray-500 rounded-lg hover:bg-gray-700 dark:bg-gray-700 dark:text-white dark:hover:bg-gray-500 focus:outline-none focus:shadow-outline"
                                type="button"
                            >
                                Retour
                            </button>
                            <button
                                onClick={registerBtn}
                                class="mt-3 lg:px-10 px-5 py-2 font-bold text-white bg-lime-500 rounded-lg hover:bg-lime-700 dark:bg-lime-600 dark:text-white dark:hover:bg-lime-500 focus:outline-none focus:shadow-outline"
                                type="button"
                            >
                                S'inscrire
                            </button>
                            <Toaster
                                position="bottom-right"
                                reverseOrder={false}
                            />
                        </div>

                    </div>
                </div>
            </div>
            <SuccessRegisterPopUp show={successRegisterShow} close={() => setsuccessRegisterShow(false)} />
        </>
    )
}

export default RegisterForm