import axios from "axios";
import { BASE_URL, USER_CONNECTED } from "../../../core/application/constant/common";
import { GLOBALAUTOCOMPLETE, FOLLOW, DISCONNECT } from "../constant/api-endpoints,js";
import { GET_ONE_ELEMENT } from "../constant/api-endpoints,js";
import { GET_FAVORIS } from "../constant/api-endpoints,js";
import { DELETE_FAVORIS } from "../constant/api-endpoints,js";

export const globalautocomplete = (indexMin, indexMax, name, typeSearch, tagsSearch, locality) => {
    const params = new URLSearchParams();
    params.append('name', name);
    if (locality.length > 0) {
        locality.map(({ id, name, type }) => {
            if (type == 'city') {
                params.append('locality[' + id + 'city][type]', 'cities')
                params.append('locality[' + id + 'city][id]', id)
            } else if (type == 'zone') {
                params.append('locality[' + id + 'blevel1][id]', id)
                params.append('locality[' + id + 'blevel1][type]', 'level1')
            }
        })
    }
    if (typeSearch.length > 0 && tagsSearch.length == 0) {
        typeSearch.map((item) => {
            params.append('searchType[]', item);
            params.append('ranges[' + item + '][indexMin]', indexMin)
            params.append('ranges[' + item + '][indexMax]', indexMax)
        })

    } else if (tagsSearch.length > 0 && typeSearch.length == 0) {
        tagsSearch.map((item) => {
            params.append('searchTags[]', item);
            params.append('searchType[]', 'NGO');
            params.append('searchType[]', 'LocalBusiness');
            params.append('searchType[]', 'Group');
            params.append('searchType[]', 'GovernmentOrganization');
            params.append('searchType[]', 'Cooperative');
            params.append('searchType[]', 'projects');
            params.append('searchType[]', 'citoyens');
            params.append('searchType[]', 'poi');

            params.append('ranges[NGO][indexMin]', indexMin)
            params.append('ranges[NGO][indexMax]', indexMax)
            params.append('ranges[LocalBusiness][indexMin]', indexMin)
            params.append('ranges[LocalBusiness][indexMax]', indexMax)
            params.append('ranges[Group][indexMin]', indexMin)
            params.append('ranges[Group][indexMax]', indexMax)
            params.append('ranges[GovernmentOrganization][indexMin]', indexMin)
            params.append('ranges[GovernmentOrganization][indexMax]', indexMax)
            params.append('ranges[Cooperative][indexMin]', indexMin)
            params.append('ranges[Cooperative][indexMax]', indexMax)
            params.append('ranges[projects][indexMin]', indexMin)
            params.append('ranges[projects][indexMax]', indexMax)
            params.append('ranges[citoyens][indexMin]', indexMin)
            params.append('ranges[citoyens][indexMax]', indexMax)
            params.append('ranges[poi][indexMin]', indexMin)
            params.append('ranges[poi][indexMax]', indexMax)
        })
    } else if (tagsSearch.length > 0 && typeSearch.length > 0) {
        typeSearch.map((item) => {
            params.append('searchType[]', item);
        })
        tagsSearch.map((item) => {
            params.append('searchTags[]', item);
        })
    } else {
        params.append('searchType[]', 'NGO');
        params.append('searchType[]', 'LocalBusiness');
        params.append('searchType[]', 'Group');
        params.append('searchType[]', 'GovernmentOrganization');
        params.append('searchType[]', 'Cooperative');
        params.append('searchType[]', 'projects');
        params.append('searchType[]', 'citoyens');
        params.append('searchType[]', 'poi');

        params.append('ranges[NGO][indexMin]', indexMin)
        params.append('ranges[NGO][indexMax]', indexMax)
        params.append('ranges[LocalBusiness][indexMin]', indexMin)
        params.append('ranges[LocalBusiness][indexMax]', indexMax)
        params.append('ranges[Group][indexMin]', indexMin)
        params.append('ranges[Group][indexMax]', indexMax)
        params.append('ranges[GovernmentOrganization][indexMin]', indexMin)
        params.append('ranges[GovernmentOrganization][indexMax]', indexMax)
        params.append('ranges[Cooperative][indexMin]', indexMin)
        params.append('ranges[Cooperative][indexMax]', indexMax)
        params.append('ranges[projects][indexMin]', indexMin)
        params.append('ranges[projects][indexMax]', indexMax)
        params.append('ranges[citoyens][indexMin]', indexMin)
        params.append('ranges[citoyens][indexMax]', indexMax)
        params.append('ranges[poi][indexMin]', indexMin)
        params.append('ranges[poi][indexMax]', indexMax)

    }

    // params.append('locality[63f6150bdc5b11197d19684dcity][name]', 'New York')
    // params.append('locality[63f6150bdc5b11197d19684dcity][active]', true)
    // params.append('locality[63f6150bdc5b11197d19684dcity][countryCode]', 'US')
    // params.append('locality[63f6150bdc5b11197d19684dcity][postalCode]', '')
    // params.append('locality[63f6150bdc5b11197d19684dcity][key]', '63f6150bdc5b11197d19684dcity')
    // params.append('locality[63f6150bdc5b11197d19684dcity][type]', 'cities')
    // params.append('locality[63f6150bdc5b11197d19684dcity][id]', '63f6150bdc5b11197d19684d')



    params.append('countType[]', 'NGO')
    params.append('countType[]', 'LocalBusiness')
    params.append('countType[]', 'Group')
    params.append('countType[]', 'GovernmentOrganization')
    params.append('countType[]', 'Cooperative')
    params.append('countType[]', 'projects')
    params.append('countType[]', 'citoyens')
    params.append('countType[]', 'poi')
    params.append('indexMin', 0);
    params.append('initType', "");
    params.append('count', true);
    params.append('notSourceKey', true)
    params.append('indexStep', 6)
    params.append('filters', '')
    // params.append('locality', '')
    params.append('fediverse', false)

    return axios.post(BASE_URL + GLOBALAUTOCOMPLETE, params)
        .then(response => {
            return response.data;
        })
        .catch(error => {
            throw error;
        });



}

export const globalAutocompleteCities = (name) => {

    const params = new URLSearchParams();
    params.append('name', name);
    params.append('locality', "");
    params.append('searchType[]', "cities");
    params.append('searchBy', "ALL");
    params.append('indexMin', 0);
    params.append('indexMax', 5);

    return axios.post(BASE_URL + GLOBALAUTOCOMPLETE, params)
        .then(response => {
            return response.data.results;
        })
        .catch(error => {
            throw error;
        });

}

export const follow = (childType, parentType, parentId) => {

    const params = new URLSearchParams();
    params.append('childId', USER_CONNECTED.id);
    params.append('childType', childType);
    params.append('parentType', parentType);
    params.append('parentId', parentId);

    return axios.post(BASE_URL + FOLLOW, params)

}

export const disconnect = (childType, parentType, parentId, connectType) => {

    const params = new URLSearchParams();
    params.append('childId', USER_CONNECTED.id);
    params.append('childType', childType);
    params.append('parentType', parentType);
    params.append('parentId', parentId);
    params.append('connectType', connectType);

    return axios.post(BASE_URL + DISCONNECT, params)

}

export const getOneElement = (type, idElement) => {
    return axios.post(BASE_URL + GET_ONE_ELEMENT + type + "/id/" + idElement)
}

export const getFavoris = () => {
    return axios.post(BASE_URL + GET_FAVORIS + USER_CONNECTED.id + "/json/true")
        .then(response => {
            return response.data;
        })
        .catch(error => {
            throw error;
        });
}

export const deleteFavoris = (collection, path, pull, value) => {

    const params = new URLSearchParams();
    params.append('id', USER_CONNECTED.id);
    params.append('collection', collection);
    params.append('path', path);
    params.append('pull', pull);
    params.append('value', value);

    return axios.post(BASE_URL + DELETE_FAVORIS, params)
        .then(response => {
            return response.data.result;
        })
        .catch(error => {
            throw error;
        });
}

export const addFavoris = (collection, path, valueUrl, tags, name, locality, description) => {

    const params = new URLSearchParams();
    params.append('id', USER_CONNECTED.id);
    params.append('collection', collection);
    params.append('path', path);
    params.append('arrayForm', true);
    params.append('value[url]', valueUrl);
    params.append('value[name]', name);
    params.append('value[description]', description);
    if (tags.length > 0) {
        tags.map((item) => {
            params.append('value[tags][]', item);
        })
    }
    if (locality.length > 0) {
        locality.map(({id, name, type}) => {
            params.append('value[locality]['+id+'][name]', name);
            params.append('value[locality]['+id+'][id]', id);
            params.append('value[locality]['+id+'][type]', type);
        })
    }

    return axios.post(BASE_URL + DELETE_FAVORIS, params)
        .then(response => {
            return response.data.result;
        })
        .catch(error => {
            throw error;
        });
}