import React from 'react'
import 'leaflet/dist/leaflet.css';
import L from 'leaflet';
import { useEffect } from 'preact/hooks';


function MapDetaille({latitude, longitude}) {
    useEffect(() => {
        const map = L.map('mapId').setView([latitude, longitude], 13);
        L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png').addTo(map);

        const marker = L.marker([latitude, longitude]).addTo(map);

        return () => {
            map.remove();
        };
    }, [latitude, longitude]);

    const mapStyles = {
        filter: 'invert(100%) hue-rotate(180deg) brightness(95%) contrast(90%)',
    };

    return (
        <div className="mt-3 mr-6 bg-white border border-gray-200 rounded-lg shadow-md dark:bg-gray-800 dark:border-gray-700">
            <div id="mapId" className="w-full h-64 md:h-80 bg-gray-800" style={mapStyles}></div>
        </div>
    )
}

export default MapDetaille
