import React from 'react'
import Modal from '../../../core/presentation/component/Modal'

import Card from './Card'
import Textarea from '../../../core/presentation/component/input/Textarea'

function ShareInSearch({ show, close, title, dataInShare, comment }) {
	// console.log(dataInShare);
	return (
		<Modal show={show} title={title} close={close} isLoading={false} onSubmitText={"Partager"} style={"h-auto overflow-y-auto overflow-x-hidden"}>
			
			<Textarea ctrl={false} rows={2} placeholder={"Exprimer-vous..."} value={comment} />
			<br />
			{dataInShare && (
				<Card
					id={dataInShare.id}
					shortDescription={dataInShare.shortDescription}
					profilMediumImageUrl={dataInShare.profilMediumImageUrl}
					tags={dataInShare.tags}
					name={dataInShare.name}
					type={dataInShare.type}
					collection={dataInShare.collection}
					action={false}
				/>
			)}
		</Modal>
	)
}

export default ShareInSearch