import React from 'react'
import { useContext, useEffect, useState } from 'preact/hooks';
import StateContext from '../../../core/context/state-context';
import { addFavoris, deleteFavoris, getFavoris } from '../../infrastructure/api/search-api';
import InputSimple from '../../../core/presentation/component/input/InputSimple';
import Textarea from '../../../core/presentation/component/input/Textarea';
import CustomDrawer from '../../../core/presentation/component/CustomDrawer';

function Favoris({ typeSearch, tagsSearch, locality, onArrayMerge, localityFavoris }) {
    const [isOpenDrawer, openAndCloseDrawer] = useState(false);
    const { favoris } = useContext(StateContext);
    const [expandedRows, setExpandedRows] = useState([]);
    const [listOrAddShow, setlistOrAddShow] = useState(false);
    const [arrayMerge, setarrayMerge] = useState([]);
    const [name, setname] = useState("");
    const [nameCtrl, setNameCtrl] = useState(false);
    const [description, setdescription] = useState("");
    const [deleteShow, setdeleteShow] = useState([]);
    const [typeToDetaille, setTypeToDetaille] = useState([]);
    useEffect(() => {
        const namesArray = locality.map(function (item) {
            return item.name;
        });
        const arrayMergeConst = typeSearch.concat(tagsSearch, namesArray);
        setarrayMerge(arrayMergeConst)
    }, [typeSearch, tagsSearch, locality])
    const openDetailsFunction = async () => {
        openAndCloseDrawer(!isOpenDrawer)
        if (isOpenDrawer == false) {
            setname("")
            setdescription("")
            setNameCtrl(false)
            const result = await getFavoris()
            favoris.signal.value = result;

            const resultConfirme = favoris.signal.value.some(element => {
                if (element.url.match(/[&?]types=([^&]+)/) && !(element.url.match(/[;/&?]tags=([^&]+)/))) {

                    const typesInURLType = element.url.match(/[&?]types=([^&]+)/)[1].split('%2C') || [];
                    return arrayMerge.length === typesInURLType.length &&
                        arrayMerge.every(type => typesInURLType.includes(type));
                } else if (element.url.match(/[;/&?]tags=([^&]+)/) && !(element.url.match(/[&?]types=([^&]+)/))) {

                    const tagsInURLType = element.url.match(/[;/&?]tags=([^&]+)/)[1].split('%2C') || [];
                    return arrayMerge.length === tagsInURLType.length &&
                        arrayMerge.every(tag => tagsInURLType.includes(tag));
                } else if (element.url.match(/[&?]types=([^&]+)/) && (element.url.match(/[;&?]tags=([^&]+)/))) {
                    const typesInURLType = (element.url.match(/[&?]types=([^&]+)/) || [, ''])[1].split('%2C') || [];
                    const tagsInURLType = (element.url.match(/[;/&?]tags=([^&]+)/) || [, ''])[1].split('%2C') || [];

                    const bothArrays = typesInURLType.concat(tagsInURLType);
                    return arrayMerge.length === bothArrays.length &&
                        arrayMerge.every(item => bothArrays.includes(item));
                }
                // No match found
                return false;
            });
            if (arrayMerge.length > 0 && resultConfirme == false) {
                setlistOrAddShow(true)
            } else {
                setlistOrAddShow(false)
            }
            console.log(favoris.signal.value);
            // console.log(resultConfirme);
        }
    };
    function toggleRow(index, url) {
        setdeleteShow([])
        setExpandedRows(prevState => {
            if (prevState.includes(index)) {
                return prevState.filter(i => i !== index);
            } else {
                return [index];
            }
        });
        url = url.replace(/^#search\?/, '');
        url = url.replace(/&amp;/g, '&');

        const params = new URLSearchParams(url);
        const result = {
            types: params.getAll('types').map(decodeURIComponent),
        };
        Object.keys(result).forEach(key => result[key] == null && delete result[key]);
        const splitTypes = result.types.flatMap(type => type.split(','));
        setTypeToDetaille(splitTypes)
    }

    const deleteShowConst = (index) => {
        console.log(index);
        setExpandedRows([])
        setdeleteShow(prevState => {
            if (prevState.includes(index)) {
                return prevState.filter(i => i !== index);
            } else {
                return [index];
            }
        });
    }

    const deleteBtn = async (index) => {
        try {
            const orderToDelete = parseFloat(index) + 1;
            favoris.signal.value = favoris.signal.value.filter(item => item.order !== orderToDelete);

            favoris.signal.value.forEach((item, i) => {
                item.order = i + 1;
            });

            setdeleteShow([]);
        } catch (error) {
            console.error(error);
        }
    }

    const btnAddFavoris = async () => {
        let result = '';
        const namesArray = locality.map(function (item) {
            return {
                id: item.id,
                type: item.type,
            };
        });

        const localityString = namesArray.length > 0 ?
            "scopeType=open&amp;" +
            Object.entries(
                namesArray
                    .filter(entry => entry.id)
                    .reduce((acc, entry) => {
                        const typeKey = entry.type === "city" ? "cities" : "zones";
                        if (!acc[typeKey]) {
                            acc[typeKey] = [];
                        }
                        acc[typeKey].push(entry.id);
                        return acc;
                    }, {})
            )
                .map(([type, ids]) => `${type}=${ids.join(',')}`)
                .join('&amp;') :
            '';



        const typesString = typeSearch.length > 0 ? "types=" + typeSearch.join('%2C') : '';
        const tagsString = tagsSearch.length > 0 ? "tags=" + tagsSearch.join('%2C') : '';
        const resultString = `#search?${typesString}${typesString && (tagsString || localityString) ? '&amp;' : ''}${tagsString}${tagsString && localityString ? '&amp;' : ''}${localityString}`;


        if (name == '') {
            setNameCtrl(true)
        } else if (name != '' || name != undefined) {
            setNameCtrl(false)
            result += '1';
        }
        if (result == "1") {
            try {
                const existingFavoris = await getFavoris();
                const isDuplicate = existingFavoris.some(item => item.url === resultString);

                if (!isDuplicate) {
                    await addFavoris("citoyens", "preferences.search", resultString, tagsSearch, name, locality, description);
                    const updatedResult = await getFavoris();
                    favoris.signal.value = updatedResult;
                } else {
                    console.log("This item is already in favorites");
                }

                setlistOrAddShow(false)
                setname("")
                setdescription("")
                setarrayMerge([])
            } catch (error) {
                console.error(error);
            }
        } else {
            console.log('no');
        }
    }

    const viewSearch = (url, locality) => {
        openAndCloseDrawer(false)
        onArrayMerge(url);
        localityFavoris(locality != undefined ? Object.values(locality) : [])

    }
    return (
        <>
            <div className='mt-3 pr-2' onClick={openDetailsFunction}>
                <button
                    type="button"
                    className="text-gray-200 bg-lime-700 hover:bg-lime-800 focus:ring-1 focus:ring-lime-300 font-medium rounded-lg px-2 py-2 dark:bg-lime-600 dark:hover:bg-lime-700 focus:outline-none dark:focus:ring-lime-800 flex flex-col items-center md:flex-row md:items-center"
                >
                    <span className="flex-grow flex items-center justify-center">
                        <i className="fa-solid fa-star mt-0"></i>
                    </span>
                </button>
            </div>
            <CustomDrawer
                isOpenDrawer={isOpenDrawer}
                openAndCloseDrawer={openDetailsFunction}
                openPageTitle={"Vos Favoris de recherche"}
                placement={'right'}
                iconActionPage={false}
            >
                {listOrAddShow == true ?
                    <div className="mt-4 rounded-lg h-24 w-full bg-lime-600 flex items-center justify-center">
                        <div className="flex flex-col items-center space-y-1 text-center">
                            <button className="rounded-full mt-[-65px] h-[4rem] w-16 bg-gray-200 dark:bg-gray-900 border border-2 border-lime-600 text-white flex items-center justify-center">
                                <i className="text-lime-600 dark:text-gray-200 fa-solid fa-search"></i>
                            </button>
                            <p className='text-gray-100 dark:text-gray-200 font-medium'>
                                Ajouter aux favoris
                            </p>
                        </div>
                    </div> :
                    <div className="mt-4 rounded-lg h-24 w-full bg-lime-600 flex items-center justify-center">
                        <div className="flex flex-col items-center space-y-1 text-center">
                            <button className="rounded-full mt-[-50px] h-[4rem] w-16 bg-gray-200 dark:bg-gray-900 border border-2 border-lime-600 text-white flex items-center justify-center">
                                <i className="text-lime-600 dark:text-gray-200 fa-solid fa-search"></i>
                            </button>
                            <p className='text-gray-100 dark:text-gray-200 font-medium'>
                                Effectuer une recherche filtrée pour l'ajouter à vos favoris
                            </p>
                        </div>
                    </div>
                }
                <div class="relative mt-5 overflow-x-hidden shadow-md sm:rounded-lg overflow-y-auto h-[calc(100vh-200px)]">
                    <div className={`mb-[10px] transition-all duration-500 ${listOrAddShow === true ? 'opacity-100 max-h-96' : 'opacity-0 max-h-0'}`}>
                        <div className='mt-1.5 border-l-2 border-lime-600 p-2 mb-10'>
                            <div className='text-gray-900 dark:text-gray-200 font-medium'>Recherche en cours :</div>
                            <div className="flex flex-wrap mt-2">
                                {arrayMerge.map((item, tagIndex) => (
                                    <span
                                        key={tagIndex}
                                        className="whitespace-nowrap bg-blue-100 text-blue-800 text-xs font-medium mr-2 mb-2 px-2.5 py-0.5 rounded dark:bg-blue-900 dark:text-blue-300"
                                    >
                                        {item}
                                    </span>
                                ))}
                            </div>
                            <InputSimple label={"Nom"} type={"text"} value={(e) => setname(e)} defaultValue={name} placeholder={"Nom"} ctrl={nameCtrl} my={0} />
                            <Textarea label={"Description"} rows={2} value={(e) => setdescription(e)} placeholder={"Description courte"} />
                            <div className={`mt-2 flex justify-between dark:border-gray-600 space-x-2`}>
                                <button onClick={() => setlistOrAddShow(false)} type="button" className="text-gray-500 bg-white hover:bg-gray-100 focus:ring-4 focus:outline-none focus:ring-gray-200 rounded-lg border border-gray-200 text-sm font-medium px-2 py-1.5 hover:text-gray-900 focus:z-10 dark:bg-gray-700 dark:text-gray-300 dark:border-gray-500 dark:hover:text-gray-200 dark:hover:bg-gray-600 dark:focus:ring-gray-600">Fermer</button>
                                <button
                                    onClick={() => btnAddFavoris()}
                                    type="button"
                                    className="bg-lime-600 hover:bg-lime-700 focus:ring-lime-300 dark:focus:ring-lime-800 text-gray-200 focus:ring-1 focus:outline-none font-medium rounded-lg text-sm inline-flex items-center px-2 py-1.5 text-center mr-2"
                                >
                                    Envoyer
                                </button>
                            </div>
                        </div>
                    </div>
                    <table className="w-full -mt-5 text-sm text-left rtl:text-right text-gray-900 dark:text-gray-200">
                        <thead className="text-xs text-gray-700 dark:text-gray-200 uppercase bg-gray-50 dark:bg-gray-700">
                            <tr>
                                <th scope="col" className="px-2 py-2.5 w-3/5">
                                    Nom
                                </th>
                                <th scope="col" className="px-2 py-2.5 text-right pr-2 w-2/5">
                                    Action
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            {favoris.signal.value.length > 0 ? favoris.signal.value.map(({ name, tags, description, locality, url }, index) => (
                                <tr
                                    key={index}
                                    className={`odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 border-b dark:border-gray-700`}
                                >
                                    <td colSpan="2" className={`px-2 pt-3 font-medium text-gray-900 dark:text-gray-200 relative overflow-hidden`}>
                                        <div className="flex flex-col">
                                            <span>{name}</span>
                                            <div className={`pt-2 transition-all duration-500 ${expandedRows.includes(index) ? 'opacity-100 max-h-96' : 'opacity-0 max-h-0'}`}>
                                                <div className='border-l-2 border-lime-600 pt-1 pb-4 pr-5'>
                                                    <div className="flex flex-wrap mt-4 px-2 ">
                                                        {typeToDetaille.map((type, index) => (
                                                            <span
                                                                key={index}
                                                                className="whitespace-nowrap bg-blue-100 text-blue-800 text-xs font-medium mr-2 mb-2 px-2.5 py-0.5 rounded dark:bg-blue-900 dark:text-blue-300"
                                                            >
                                                                {type}
                                                            </span>
                                                        ))}
                                                        {tags != undefined && tags.map((item, tagIndex) => (
                                                            <span
                                                                key={tagIndex}
                                                                className="whitespace-nowrap bg-blue-100 text-blue-800 text-xs font-medium mr-2 mb-2 px-2.5 py-0.5 rounded dark:bg-blue-900 dark:text-blue-300"
                                                            >
                                                                {item}
                                                            </span>
                                                        ))}

                                                        {locality && Object.keys(locality).map(key => {
                                                            const item = locality[key];
                                                            return (
                                                                <span
                                                                    className="whitespace-nowrap bg-blue-100 text-blue-800 text-xs font-medium mr-2 mb-2 px-2.5 py-0.5 rounded dark:bg-blue-900 dark:text-blue-300"
                                                                >
                                                                    {item.name}
                                                                </span>
                                                            );
                                                        })}
                                                    </div>
                                                    <p className='px-2'>{description}</p>
                                                </div>
                                            </div>
                                            <div className={`transition-all mb-2 z-10 duration-500 ${deleteShow.includes(index) ? 'opacity-100 max-h-96' : 'opacity-0 max-h-0'}`}>
                                                <div class="text-center md:text-center md:flex md:justify-center">
                                                    <button
                                                        onClick={() => deleteBtn(index)}
                                                        type="button"
                                                        className="text-gray-100 bg-red-600 hover:bg-red-800 focus:ring-1 focus:outline-none focus:ring-red-300 dark:focus:ring-red-800 font-medium rounded-lg text-sm inline-flex items-center px-4 py-1.5 text-center mr-2"
                                                    >
                                                        Oui, supprimer
                                                    </button>
                                                    <button
                                                        onClick={() => setdeleteShow([])}
                                                        type="button"
                                                        className="text-gray-900 bg-white hover:bg-gray-100 focus:ring-1 focus:outline-none focus:ring-gray-200 rounded-lg border border-gray-200 text-sm font-medium px-4 py-1.5 hover:text-gray-900 focus:z-10 dark:bg-gray-700 dark:text-gray-300 dark:border-gray-500 dark:hover:text-gray-200 dark:hover:bg-gray-600 dark:focus:ring-gray-600"
                                                    >
                                                        Non, fermer
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td className="mt-1 absolute flex right-0">
                                        <button
                                            onClick={() => viewSearch(url, locality)}
                                            type="button"
                                            className="py-1.5 px-2.5 me-2 mb-2 text-sm font-medium text-gray-900 focus:outline-none bg-white rounded-lg border border-gray-200 hover:bg-gray-100 hover:text-blue-700 focus:z-10 focus:ring-1 focus:ring-gray-200 dark:focus:ring-gray-700 dark:bg-gray-800 dark:text-gray-400 dark:border-gray-600 dark:hover:text-white dark:hover:bg-gray-700"
                                        >
                                            <i className='fa-solid fa-eye'></i>
                                        </button>
                                        <button
                                            type="button"
                                            className="text-white bg-blue-700 hover:bg-blue-800 focus:ring-1 focus:ring-blue-300 font-medium rounded-lg text-sm px-2.5 py-1.5 me-2 mb-2 dark:bg-blue-600 dark:hover:bg-blue-700 focus:outline-none dark:focus:ring-blue-800"
                                            onClick={() => toggleRow(index, url)}
                                        >
                                            <i className='fa-solid fa-info-circle'></i>
                                        </button>
                                        <button
                                            onClick={() => deleteShowConst(index)}
                                            type="button"
                                            className="focus:outline-none text-white bg-red-700 hover:bg-red-800 focus:ring-1 focus:ring-red-300 font-medium rounded-lg text-sm px-2.5 py-1.5 me-2 mb-2 dark:bg-red-600 dark:hover:bg-red-700 dark:focus:ring-red-900"
                                        >
                                            <i className='fa-solid fa-trash'></i>
                                        </button>
                                    </td>
                                </tr>
                            )) : null}
                        </tbody>
                    </table>
                </div>
            </CustomDrawer>
        </>
    )
}

export default Favoris