import React from 'react'
import 'leaflet/dist/leaflet.css';
import L from 'leaflet';
import { useEffect } from 'preact/hooks';

function ListMap() {

    useEffect(() => {
        const map = L.map('mapId').setView([51.505, -0.09], 20);
        L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png').addTo(map);

        const marker = L.marker([51.505, -0.09]).addTo(map);

        return () => {
            map.remove();
        };
    }, []);

    const mapStyles = {
        filter: 'invert(100%) hue-rotate(180deg) brightness(95%) contrast(90%)',
    };

    return (
        <div className="w-full h-[calc(100vh-220px)] overflow-y-auto overflow-x-hidden">
            <div id="mapId" className="w-full h-full bg-gray-800" style={mapStyles}></div>
        </div>
    )
}

export default ListMap